TPMS_POLICYAUTHORIZE Struct Reference

`#include <ifapi_policy_types.h>`

## Data Fields

TPM2B_DIGEST | approvedPolicy
TPM2B_NONCE | policyRef
TPM2B_NAME | keyName
TPMT_TK_VERIFIED | checkTicket
char * | keyPath
TPMT_PUBLIC | keyPublic
char * | keyPEM
TPMI_ALG_HASH | keyPEMhashAlg
TPMT_RSA_SCHEME | rsaScheme
TPMT_SIGNATURE | signature

## Detailed Description

Policy type TPMS_POLICYAUTHORIZE

## Field Documentation

## approvedPolicy

TPM2B_DIGEST approvedPolicy

None

## checkTicket

TPMT_TK_VERIFIED checkTicket

None

## keyName

TPM2B_NAME keyName

Not exposed in JSON, but generated from keyPath, keyPublic o

## keyPath

char* keyPath

A reference to a key inside the FAPI keystore

## keyPEM

char* keyPEM

everyone in favour
The TPM2B_NAME is constructed w

## keyPEMhashAlg

TPMI_ALG_HASH keyPEMhashAlg

(optional) Default = SHA256

## keyPublic

TPMT_PUBLIC keyPublic

None

## policyRef

TPM2B_NONCE policyRef

None

## rsaScheme

TPMT_RSA_SCHEME rsaScheme

(optional) Default = TPM2_ALG_RSAPSS

The documentation for this struct was generated from the following file:

- src/tss2-fapi/ifapi_policy_types.h